# Uses of Enum Class
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.State

Packages that use ISystemDescriptor.State
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of ISystemDescriptor.State in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return ISystemDescriptor.State
Modifier and Type
Method
Description
`ISystemDescriptor.State`
ISystemDescriptor.`getState()`
`static ISystemDescriptor.State`
ISystemDescriptor.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ISystemDescriptor.State[]`
ISystemDescriptor.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.